Last Comment Bug 706736 - unclosed tab recreated in wrong tab group
: unclosed tab recreated in wrong tab group
Status: RESOLVED FIXED
: regression
Product: Firefox Graveyard
Classification: Graveyard
Component: Panorama (show other bugs)
: Trunk
: All All
: -- normal
: Firefox 11
Assigned To: Raymond Lee [:raymondlee]
:
Mentors:
Depends on:
Blocks: 705621
  Show dependency treegraph
 
Reported: 2011-11-30 18:26 PST by Stefan
Modified: 2016-04-12 14:00 PDT (History)
4 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1 (4.80 KB, patch)
2011-11-30 23:59 PST, Raymond Lee [:raymondlee]
ttaubert: review+
Details | Diff | Review
Patch for checkin (4.82 KB, patch)
2011-12-01 07:01 PST, Raymond Lee [:raymondlee]
no flags Details | Diff | Review

Description Stefan 2011-11-30 18:26:05 PST
User Agent:  

Steps to reproduce:

1. Create an App-Tab.
2. Open http://www.spiegel.de
3. Create a second tab group in panorama.
4. Open http://www.stern.de in new tab group.
5. Close (ctrl-w).
6. Undo close (shift ctrl T).


Actual results:

6. App-Tab, spiegel and stern are in the same tab group, second tab group is orphaned.


Expected results:

6. Closed tab is recreated in its tab group.

Regression Range:
good 11.0a1 (2011-11-29) bc48009a6bbb
 bad 11.0a1 (2011-11-30) cc94a16983b0
Comment 1 Alice0775 White 2011-11-30 20:36:01 PST
Regression window(m-c)
Works:
http://hg.mozilla.org/mozilla-central/rev/95bca70369ef
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111129 Firefox/11.0a1 ID:20111129135020
Fails:
http://hg.mozilla.org/mozilla-central/rev/cc94a16983b0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111130 Firefox/11.0a1 ID:20111130031011
Pushlog:
http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=95bca70369ef&tochange=cc94a16983b0


Regression window(fx-team)
Works:
http://hg.mozilla.org/integration/fx-team/rev/0a6f4e952a3c
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111128 Firefox/11.0a1 ID:20111128063909
Fails:
http://hg.mozilla.org/integration/fx-team/rev/1d63a85fea37
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0a1) Gecko/20111128 Firefox/11.0a1 ID:20111128100215
Pushlog:
http://hg.mozilla.org/integration/fx-team/pushloghtml?fromchange=0a6f4e952a3c&tochange=1d63a85fea37
Triggered by:
1d63a85fea37	Raymond Lee — Bug 705621 - No tab item is selected after removing last tab in a group outside Panorama r=tim
Comment 2 Raymond Lee [:raymondlee] 2011-11-30 23:59:30 PST
Created attachment 578191 [details] [diff] [review]
v1
Comment 3 Tim Taubert [:ttaubert] 2011-12-01 00:14:12 PST
Comment on attachment 578191 [details] [diff] [review]
v1

Review of attachment 578191 [details] [diff] [review]:
-----------------------------------------------------------------

Cool, thanks!
Comment 4 Raymond Lee [:raymondlee] 2011-12-01 00:18:22 PST
Pushed to try and waiting for results
https://tbpl.mozilla.org/?tree=Try&rev=f22b4f93f946
Comment 5 Raymond Lee [:raymondlee] 2011-12-01 07:01:23 PST
Created attachment 578250 [details] [diff] [review]
Patch for checkin

Passed Try
https://tbpl.mozilla.org/?tree=Try&rev=f22b4f93f946
Comment 6 Tim Taubert [:ttaubert] 2011-12-01 22:41:09 PST
https://hg.mozilla.org/integration/fx-team/rev/3cbff4ec7552
Comment 7 Tim Taubert [:ttaubert] 2011-12-02 05:58:40 PST
https://hg.mozilla.org/mozilla-central/rev/3cbff4ec7552

Note You need to log in before you can comment on or make changes to this bug.